<?php

/**
 * @file
 * Implementation of itweak_links administration forms.
 */

/**
 * Module settings form.
 */
function _itweak_links_admin_settings(&$form_state) {
  $form = array();

  $form['itweak_links_fieldset'] = array(
    '#type' => 'fieldset',
    '#title' => t('Fieldset'),
    '#description' => t('Some settings'),
  );

  $form['itweak_links_fieldset']['itweak_links_blanksetting'] = array(
    '#type' => 'checkbox',
    '#title' => t('Some setting'),
    '#default_value' => variable_get('itweak_links_blanksetting', TRUE),
    '#description' => t('This option makes some setting'),
  );

  if (module_exists('token')) {
    $form['itweak_links_fieldset']['formatting']['tokens'] = array(
      '#type' => 'fieldset',
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
      '#title' => t('Placeholder tokens'),
      '#description' => t('The following placeholder tokens can be used in the text and title. They will be replaced with the appropriate values.'),
    );
/**/
    $form['itweak_links_fieldset']['formatting']['tokens']['itweak_links_enable_tokens'] = array(
      '#type' => 'checkbox',
      '#title' => t('Enable placeholder tokens'),
      '#default_value' => variable_get('itweak_links_enable_tokens', TRUE),
      '#description' => t('This option will allow you to use the placeholder tokens listed below.'),
    );
/**/
    $form['itweak_links_fieldset']['formatting']['tokens']['help_node'] = array(
      '#value' => theme('token_help', 'node'),
    );
    $form['itweak_links_fieldset']['formatting']['tokens']['help_comment'] = array(
      '#value' => theme('token_help', 'comment'),
    );
    $form['itweak_links_fieldset']['formatting']['tokens']['help_link'] = array(
      '#value' => theme('token_help', 'link'),
    );
//    // Add Token-specific help text
//    $token_description = t('<a href="@tokens">Tokens</a> are supported if you enable them below.', array('@tokens' => url('http://drupal.org/project/token')));
//    $form['itweak_links_fieldset']['formatting']['itweak_links_text']['#description'] .= ' ' . $token_description;
//    $form['itweak_links_fieldset']['formatting']['itweak_links_title']['#description'] .= ' ' . $token_description;
  }

  return $form;
}
function itweak_links_admin_settings(&$form_state) {
  return system_settings_form(_itweak_links_admin_settings($form_state));
}

